<?php
    $this->pageTitle = "Auditoria Documentos &raquo; Resolver Situação";
?>
<?php if ($model->ADD_STATUS == 'PENDENTE') { ?>
    <div class="form">
        <?php
            $form = $this->beginWidget('GxActiveForm', array(
                'id' => 'contratos-form',
                'method' => 'POST',
                'enableAjaxValidation' => false,
                'htmlOptions' => array('class'=>'col-xs-12 form-cadastro inline-addon'),
            ));
        ?>
            <?php $this->widget('application.extensions.EChosen.EChosen', array('target' => '.echosen','useJQuery' => true)); ?>
            <div class="form-group">
                <?php echo $form->labelEx($model, 'estaCorreto'); ?>
                <?php
                    $opcoes = array(
                        1 => 'Sim',
                        0 => 'Não',
                    );
                    echo $form->dropDownList($model, 'estaCorreto', $opcoes, array('prompt' => 'Selecione'));
                ?>
                <?php echo $form->error($model, 'estaCorreto'); ?>
            </div>

            <?php $display = "none;" ?>
            <div class="form-group" style="display: <?= $display; ?>">
                <?php echo $form->labelEx($model, 'corrigirDados'); ?>
                <?php
                    echo $form->dropDownList($model, 'corrigirDados', array(0 => 'Não', 1 => 'Sim'), array('prompt' => 'Selecione', 'disabled' => 'disabled'));
                ?>
                <?php echo $form->error($model, 'corrigirDados'); ?>
            </div>

            <?php $display = "none;" ?>
            <div id="dadosContrato" style="display: <?= $display; ?>">
                <div class="form-group">
                    <?php
                        $label = "Razão social no contrato";
                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_CLI_NOME]', array('label' => $label));
                    ?>
                    <?php echo $form->textField($model, 'CORRECAO[Contratos-COT_CLI_NOME]', array('disabled' => 'disabled')); ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_CLI_NOME]'); ?>
                </div>
                <div class="form-group">
                    <?php
                        $label = $model->getLabelFromJsonValue('Contratos.COT_SIMPLES');
                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_SIMPLES]', array('label' => $label));
                    ?>
                    <?php echo $form->dropDownList($model, 'CORRECAO[Contratos-COT_SIMPLES]', array(1 => 'Sim', 0 => 'Não'), array('disabled' => 'disabled')); ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_SIMPLES]'); ?>
                </div>
                <div class="form-group">
                    <?php
                        $produtos = GxHtml::listDataEx(
                            Modulos::model()->findAll('
                                MOD_SITUACAO="A" AND
                                MOD_TIPO = 2 AND
                                MOD_COMPLEMENTO = "N"
                                ORDER BY MOD_DESCRICAO
                            ')
                        );
                        $label = $model->getLabelFromJsonValue('Contratos.COT_IDPRODUTO');

                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_IDPRODUTO]', array('label' => $label));
                    ?>
                    <?php echo $form->dropDownList($model, 'CORRECAO[Contratos-COT_IDPRODUTO]', $produtos, array('disabled' => 'disabled')); ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_IDPRODUTO]'); ?>
                </div>
                <div class="form-group">
                    <?php
                        $label = $model->getLabelFromJsonValue('Contratos.COT_NROUSUARIOS');
                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_NROUSUARIOS]', array('label' => $label));
                    ?>
                    <?php echo $form->textField($model, 'CORRECAO[Contratos-COT_NROUSUARIOS]', array('disabled' => 'disabled')); ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_NROUSUARIOS]'); ?>
                </div>
                <div class="form-group">
                    <?php
                        $label = $model->getLabelFromJsonValue('Contratos.COT_VLRIMPLANTACAO');
                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_VLRIMPLANTACAO]', array('label' => $label));
                        echo $form->textField($model, 'CORRECAO[Contratos-COT_VLRIMPLANTACAO]', array(
                            'disabled' => 'disabled',
                            'class' => 'maskMoeda'
                        ));
                    ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_VLRIMPLANTACAO]'); ?>
                </div>
                <div class="form-group">
                    <?php
                        $label = $model->getLabelFromJsonValue('Contratos.COT_VLRMENSAL');
                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_VLRMENSAL]', array('label' => $label));
                        echo $form->textField($model, 'CORRECAO[Contratos-COT_VLRMENSAL]', array(
                            'disabled' => 'disabled',
                            'class' => 'maskMoeda'
                        ));
                    ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_VLRMENSAL]'); ?>
                </div>
                <div class="form-group">
                    <?php
                        $label = $model->getLabelFromJsonValue('Contratos.COT_DTCADASTRO');
                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_DTCADASTRO]', array('label' => $label));
                    ?>
                    <?php echo $form->dateField($model, 'CORRECAO[Contratos-COT_DTCADASTRO]', array('disabled' => 'disabled')); ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_DTCADASTRO]'); ?>
                </div>
                <div class="form-group">
                    <?php
                        $label = $model->getLabelFromJsonValue('Contratos.COT_DTATIVACAO');
                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_DTATIVACAO]', array('label' => $label));
                    ?>
                    <?php echo $form->dateField($model, 'CORRECAO[Contratos-COT_DTATIVACAO]', array('disabled' => 'disabled')); ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_DTATIVACAO]'); ?>
                </div>
                <div class="form-group">
                    <?php
                        $label = $model->getLabelFromJsonValue('Contratos.COT_DTINICARENCIA');
                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_DTINICARENCIA]', array('label' => $label));
                    ?>
                    <?php echo $form->dateField($model, 'CORRECAO[Contratos-COT_DTINICARENCIA]', array('disabled' => 'disabled')); ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_DTINICARENCIA]'); ?>
                </div>
                <div class="form-group">
                    <?php
                        $label = $model->getLabelFromJsonValue('Contratos.COT_DTFIMCARENCIA');
                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_DTFIMCARENCIA]', array('label' => $label));
                    ?>
                    <?php echo $form->dateField($model, 'CORRECAO[Contratos-COT_DTFIMCARENCIA]', array('disabled' => 'disabled')); ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_DTFIMCARENCIA]'); ?>
                </div>
                <div class="form-group">
                    <?php
                        $label = $model->getLabelFromJsonValue('Contratos.COT_DTINICOBRANCA');
                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_DTINICOBRANCA]', array('label' => $label));
                    ?>
                    <?php echo $form->dateField($model, 'CORRECAO[Contratos-COT_DTINICOBRANCA]', array('disabled' => 'disabled')); ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_DTINICOBRANCA]'); ?>
                </div>
                <div class="form-group">
                    <?php
                        $label = $model->getLabelFromJsonValue('Contratos.COT_DTPRICOBRANCA');
                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_DTPRICOBRANCA]', array('label' => $label));
                    ?>
                    <?php echo $form->dateField($model, 'CORRECAO[Contratos-COT_DTPRICOBRANCA]', array('disabled' => 'disabled')); ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_DTPRICOBRANCA]'); ?>
                </div>
                <div class="form-group">
                    <?php
                        $label = $model->getLabelFromJsonValue('Contratos.COT_CLI_CIDADE');
                        echo $form->labelEx($model, 'CORRECAO[Contratos-COT_CLI_CIDADE]', array('label' => $label));
                        echo $form->dropDownList($model, 'CORRECAO[Contratos-COT_CLI_CIDADE]', User::getCidadesEstados(), array('class' => 'echosen', 'data-placeholder' => 'Todas'));
                    ?>
                    <?php echo $form->error($model, 'CORRECAO[Contratos-COT_CLI_CIDADE]'); ?>
                </div>
            </div>

            <div id="justificativa">
                <div class="form-group">
                    <?php echo $form->labelEx($model, 'ADD_OBSERVACOES'); ?>
                    <?php echo $form->textArea($model, 'ADD_OBSERVACOES'); ?>
                    <?php echo $form->error($model, 'ADD_OBSERVACOES'); ?>
                </div>
            </div>
            <?php echo FaHtml::saveButton(); ?>
        <?php $this->endWidget(); ?>
    </div>
<?php } ?>

<h2>Dados</h2>
<?php
$this->widget('zii.widgets.CDetailView', array(
    'data' => $model,
    'attributes' => array(
        'Cliente.CLI_NOME',
        'Cliente.CLI_FANTASIA',
        array(
            'label' => 'Contrato',
            'value' => $model->showValor('Contratos.COT_IDCONTRATO'),
            'type' => 'raw',
        ),
        array(
            'label' => $model->getLabelFromJsonValue('Contratos.COT_DTCADASTRO'),
            'value' => $model->showValor('Contratos.COT_DTCADASTRO'),
            'type' => 'raw',
        ),
        array(
            'label' => $model->getLabelFromJsonValue('Contratos.COT_DTATIVACAO'),
            'value' => $model->showValor('Contratos.COT_DTATIVACAO'),
            'type' => 'raw',
        ),
        array(
            'label' => $model->getLabelFromJsonValue('Contratos.COT_DTINICARENCIA'),
            'value' => $model->showValor('Contratos.COT_DTINICARENCIA'),
            'type' => 'raw',
        ),
        array(
            'label' => $model->getLabelFromJsonValue('Contratos.COT_DTFIMCARENCIA'),
            'value' => $model->showValor('Contratos.COT_DTFIMCARENCIA'),
            'type' => 'raw',
        ),
        array(
            'label' => $model->getLabelFromJsonValue('Contratos.COT_DTINICOBRANCA'),
            'value' => $model->showValor('Contratos.COT_DTINICOBRANCA'),
            'type' => 'raw',
        ),
        array(
            'label' => $model->getLabelFromJsonValue('Contratos.COT_DTPRICOBRANCA'),
            'value' => $model->showValor('Contratos.COT_DTPRICOBRANCA'),
            'type' => 'raw',
        ),
        array(
            'label' => 'Valor Contrato',
            'value' => $model->showValor('Contratos.COT_VLRMENSAL'),
            'type' => 'raw',
        ),
        array(
            'label' => 'Valor Atual',
            'value' => $model->showValor('Clientes.CLI_VLRMENSAL'),
            'type' => 'raw',
        ),
        array(
            'label' => 'Nº de Adendos',
            'value' => $model->showValor('ADENDOS'),
            'type' => 'raw',
        ),
        array(
            'label' => 'Nº de Pedidos',
            'value' => $model->showValor('PEDIDOS'),
            'type' => 'raw',
        ),
        array(
            'label' => 'Atividades',
            'value' => $model->Contrato->evaluateAtividadesForAuditor(false),
            'type' => 'raw'
        )
    ),
));

if ($model->ADD_STATUS == 'ERRADO' && !empty($dadosCorrigidos)) {
    echo "<h2>Dados Corrigidos</h2>";

    $attributes = array();
    $modelContratos = new Contratos();
    foreach ($dadosCorrigidos as $campo => $valor) {
        $temp = explode(".", $campo);
        $attributes[] = array(
            'label' => $modelContratos->getAttributeLabel($temp[1]),
            'value' => $valor,
            'type' => 'raw'
        );
    }

    $this->widget('zii.widgets.CDetailView', array(
        'data' => $model,
        'attributes' => $attributes
    ));
}

$cs = Yii::app()->clientScript;
$script = <<<JAVASCRIPT
    jQuery(document).ready(function($) {
        $(document).on('change', '#AuditoriaDados_estaCorreto', function(event) {
            var corrigir = $("#AuditoriaDados_corrigirDados").parent();
            if ($(this).val() == 0) {
                $("#AuditoriaDados_corrigirDados").prop('disabled', false);
                corrigir.fadeIn(400);
            } else {
                $("#AuditoriaDados_corrigirDados").prop('disabled', true);
                $("#AuditoriaDados_corrigirDados").val(0);
                corrigir.fadeOut(400);
            }
            $("#AuditoriaDados_corrigirDados").trigger('change');
        });
        $(document).on('change', '#AuditoriaDados_corrigirDados', function(event) {
            if ($(this).val() == 1) {
                $("#dadosContrato").find('input, select').prop('disabled', false);
                $("#dadosContrato").fadeIn(400);
            } else {
                $("#dadosContrato").find('input, select').prop('disabled', true);
                $("#dadosContrato").fadeOut(400);
            }
        });
    });
JAVASCRIPT;

$cs->registerScript(Util::uid(), $script);